Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentTerminalCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentTerminalCapabilities

    public class AgentTerminalCapabilities

extends java.lang.Object

Java class for agentTerminalCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentTerminalCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canCallSupervisor" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canForcedAnswer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetActivityCode" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetNotReadyReason" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetReadyStatus" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canLogin" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canLogout" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetActivityCode" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetNotReadyReason" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetReadyStatus" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canConference" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canConsult" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canDoNotDisturb" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canForward" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canOriginate" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canPickup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canPickupFromGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canTransfer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentTerminalCapabilities()`

Method Summary
`boolean` | `isCanCallSupervisor()` Gets the value of the canCallSupervisor property.
`boolean` | `isCanConference()` Gets the value of the canConference property.
`boolean` | `isCanConsult()` Gets the value of the canConsult property.
`boolean` | `isCanDoNotDisturb()` Gets the value of the canDoNotDisturb property.
`boolean` | `isCanForcedAnswer()` Gets the value of the canForcedAnswer property.
`boolean` | `isCanForward()` Gets the value of the canForward property.
`boolean` | `isCanGetActivityCode()` Gets the value of the canGetActivityCode property.
`boolean` | `isCanGetNotReadyReason()` Gets the value of the canGetNotReadyReason property.
`boolean` | `isCanGetReadyStatus()` Gets the value of the canGetReadyStatus property.
`boolean` | `isCanLogin()` Gets the value of the canLogin property.
`boolean` | `isCanLogout()` Gets the value of the canLogout property.
`boolean` | `isCanOriginate()` Gets the value of the canOriginate property.
`boolean` | `isCanPickup()` Gets the value of the canPickup property.
`boolean` | `isCanPickupFromGroup()` Gets the value of the canPickupFromGroup property.
`boolean` | `isCanSetActivityCode()` Gets the value of the canSetActivityCode property.
`boolean` | `isCanSetNotReadyReason()` Gets the value of the canSetNotReadyReason property.
`boolean` | `isCanSetReadyStatus()` Gets the value of the canSetReadyStatus property.
`boolean` | `isCanTransfer()` Gets the value of the canTransfer property.
`void` | `setCanCallSupervisor(boolean value)` Sets the value of the canCallSupervisor property.
`void` | `setCanConference(boolean value)` Sets the value of the canConference property.
`void` | `setCanConsult(boolean value)` Sets the value of the canConsult property.
`void` | `setCanDoNotDisturb(boolean value)` Sets the value of the canDoNotDisturb property.
`void` | `setCanForcedAnswer(boolean value)` Sets the value of the canForcedAnswer property.
`void` | `setCanForward(boolean value)` Sets the value of the canForward property.
`void` | `setCanGetActivityCode(boolean value)` Sets the value of the canGetActivityCode property.
`void` | `setCanGetNotReadyReason(boolean value)` Sets the value of the canGetNotReadyReason property.
`void` | `setCanGetReadyStatus(boolean value)` Sets the value of the canGetReadyStatus property.
`void` | `setCanLogin(boolean value)` Sets the value of the canLogin property.
`void` | `setCanLogout(boolean value)` Sets the value of the canLogout property.
`void` | `setCanOriginate(boolean value)` Sets the value of the canOriginate property.
`void` | `setCanPickup(boolean value)` Sets the value of the canPickup property.
`void` | `setCanPickupFromGroup(boolean value)` Sets the value of the canPickupFromGroup property.
`void` | `setCanSetActivityCode(boolean value)` Sets the value of the canSetActivityCode property.
`void` | `setCanSetNotReadyReason(boolean value)` Sets the value of the canSetNotReadyReason property.
`void` | `setCanSetReadyStatus(boolean value)` Sets the value of the canSetReadyStatus property.
`void` | `setCanTransfer(boolean value)` Sets the value of the canTransfer property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentTerminalCapabilities

    public AgentTerminalCapabilities()

Method Detail

### isCanCallSupervisor

    public boolean isCanCallSupervisor()

  Gets the value of the canCallSupervisor property.

### setCanCallSupervisor

    public void setCanCallSupervisor(boolean value)

  Sets the value of the canCallSupervisor property.

### isCanForcedAnswer

    public boolean isCanForcedAnswer()

  Gets the value of the canForcedAnswer property.

### setCanForcedAnswer

    public void setCanForcedAnswer(boolean value)

  Sets the value of the canForcedAnswer property.

### isCanGetActivityCode

    public boolean isCanGetActivityCode()

  Gets the value of the canGetActivityCode property.

### setCanGetActivityCode

    public void setCanGetActivityCode(boolean value)

  Sets the value of the canGetActivityCode property.

### isCanGetNotReadyReason

    public boolean isCanGetNotReadyReason()

  Gets the value of the canGetNotReadyReason property.

### setCanGetNotReadyReason

    public void setCanGetNotReadyReason(boolean value)

  Sets the value of the canGetNotReadyReason property.

### isCanGetReadyStatus

    public boolean isCanGetReadyStatus()

  Gets the value of the canGetReadyStatus property.

### setCanGetReadyStatus

    public void setCanGetReadyStatus(boolean value)

  Sets the value of the canGetReadyStatus property.

### isCanLogin

    public boolean isCanLogin()

  Gets the value of the canLogin property.

### setCanLogin

    public void setCanLogin(boolean value)

  Sets the value of the canLogin property.

### isCanLogout

    public boolean isCanLogout()

  Gets the value of the canLogout property.

### setCanLogout

    public void setCanLogout(boolean value)

  Sets the value of the canLogout property.

### isCanSetActivityCode

    public boolean isCanSetActivityCode()

  Gets the value of the canSetActivityCode property.

### setCanSetActivityCode

    public void setCanSetActivityCode(boolean value)

  Sets the value of the canSetActivityCode property.

### isCanSetNotReadyReason

    public boolean isCanSetNotReadyReason()

  Gets the value of the canSetNotReadyReason property.

### setCanSetNotReadyReason

    public void setCanSetNotReadyReason(boolean value)

  Sets the value of the canSetNotReadyReason property.

### isCanSetReadyStatus

    public boolean isCanSetReadyStatus()

  Gets the value of the canSetReadyStatus property.

### setCanSetReadyStatus

    public void setCanSetReadyStatus(boolean value)

  Sets the value of the canSetReadyStatus property.

### isCanConference

    public boolean isCanConference()

  Gets the value of the canConference property.

### setCanConference

    public void setCanConference(boolean value)

  Sets the value of the canConference property.

### isCanConsult

    public boolean isCanConsult()

  Gets the value of the canConsult property.

### setCanConsult

    public void setCanConsult(boolean value)

  Sets the value of the canConsult property.

### isCanDoNotDisturb

    public boolean isCanDoNotDisturb()

  Gets the value of the canDoNotDisturb property.

### setCanDoNotDisturb

    public void setCanDoNotDisturb(boolean value)

  Sets the value of the canDoNotDisturb property.

### isCanForward

    public boolean isCanForward()

  Gets the value of the canForward property.

### setCanForward

    public void setCanForward(boolean value)

  Sets the value of the canForward property.

### isCanOriginate

    public boolean isCanOriginate()

  Gets the value of the canOriginate property.

### setCanOriginate

    public void setCanOriginate(boolean value)

  Sets the value of the canOriginate property.

### isCanPickup

    public boolean isCanPickup()

  Gets the value of the canPickup property.

### setCanPickup

    public void setCanPickup(boolean value)

  Sets the value of the canPickup property.

### isCanPickupFromGroup

    public boolean isCanPickupFromGroup()

  Gets the value of the canPickupFromGroup property.

### setCanPickupFromGroup

    public void setCanPickupFromGroup(boolean value)

  Sets the value of the canPickupFromGroup property.

### isCanTransfer

    public boolean isCanTransfer()

  Gets the value of the canTransfer property.

### setCanTransfer

    public void setCanTransfer(boolean value)

  Sets the value of the canTransfer property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.